/*
 PROJECT: Smart_Cmd_Led
 PROGRAMMER: B.LECLERC
 DATE: 08/26/16
 Special Thanks: Hazim BITAR
*/

#define START_CMD_CHAR '*' // Caractere de demarrage  
#define CMD_ANALOGWRITE 11
#define MAX_ANALOGWRITE 255  //Valeur maxi transmise aux sorties analogiques

void setup() {
  Serial.begin(9600); //Initialisation de la com série 
  Serial.flush();
}

void loop()
{
  Serial.flush();
  int ard_command = 0; //Mise à zero des variables
  int pin_num = 0;
  int pin_value = 0;

  char get_char = ' ';  // Lecture du caractère sur le port serie

  // Attente d'une data
  if (Serial.available() < 1) return; // si le port serie est vide, retourne à loop().

  // Reconnaissance du caractère de début de chaîne 
  get_char = Serial.read();
  if (get_char != START_CMD_CHAR) return; // Si ce n'est pas le caratere de debut, retourne à loop().

  // Reconnaissance du type de commande
  ard_command = Serial.parseInt(); // Lit la commande
  
  // Reconnaissance de la pinuche et de la valeur  
  pin_num = Serial.parseInt(); // Lit la pinuche
  pin_value = Serial.parseInt();  // Lit la valeur 

  // Traitement des datas de ARDUDROID sur sortie analogique
  if (ard_command == CMD_ANALOGWRITE) {  
    analogWrite(  pin_num, pin_value ); 
    // ajoute la valeur sur la pinuche 
    return;  // Fait. retourne à loop();
  }

 }



